com.verisign.epp.serverstub.v1_0

## Class FeeV1_0DomainHandler

- java.lang.Object
- - com.verisign.epp.serverstub.v1_0.FeeV1_0DomainHandler

- All Implemented Interfaces:
    FeeSubDomainHandler

      public class FeeV1_0DomainHandler
      extends java.lang.Object
      implements FeeSubDomainHandler

  The `FeeDomainHandler` class extends `DomainHandler` to include handling the fee extension.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeeV1_0DomainHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doDomainCheck(EPPDomainCheckCmd aCheckCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Check Command.
    `void` | `doDomainCreate(EPPDomainCreateCmd aCreateCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Create Command.
    `void` | `doDomainDelete(EPPDomainDeleteCmd aDeleteCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Delete Command.
    `void` | `doDomainInfo(EPPDomainInfoCmd aInfoCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Info Command.
    `void` | `doDomainRenew(EPPDomainRenewCmd aRenewCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Renew Command.
    `void` | `doDomainTransfer(EPPDomainTransferCmd aTransferCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Transfer Command.
    `void` | `doDomainUpdate(EPPDomainUpdateCmd aUpdateCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Update Command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeeV1_0DomainHandler

          public FeeV1_0DomainHandler()

  - ### Method Detail

    - #### doDomainCheck

          public void doDomainCheck(EPPDomainCheckCmd aCheckCommand,
                                    EPPResponse aResponse,
                                    java.lang.Object aData)

      Handle an EPP Domain Check Command.
      Specified by:
        `doDomainCheck` in interface `FeeSubDomainHandler`
      Parameters:
        `aCheckCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doDomainInfo

          public void doDomainInfo(EPPDomainInfoCmd aInfoCommand,
                                   EPPResponse aResponse,
                                   java.lang.Object aData)

      Handle an EPP Domain Info Command.
      Specified by:
        `doDomainInfo` in interface `FeeSubDomainHandler`
      Parameters:
        `aInfoCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doDomainCreate

          public void doDomainCreate(EPPDomainCreateCmd aCreateCommand,
                                     EPPResponse aResponse,
                                     java.lang.Object aData)

      Handle an EPP Domain Create Command.
      Specified by:
        `doDomainCreate` in interface `FeeSubDomainHandler`
      Parameters:
        `aCreateCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doDomainDelete

          public void doDomainDelete(EPPDomainDeleteCmd aDeleteCommand,
                                     EPPResponse aResponse,
                                     java.lang.Object aData)

      Handle an EPP Domain Delete Command.
      Specified by:
        `doDomainDelete` in interface `FeeSubDomainHandler`
      Parameters:
        `aDeleteCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doDomainRenew

          public void doDomainRenew(EPPDomainRenewCmd aRenewCommand,
                                    EPPResponse aResponse,
                                    java.lang.Object aData)

      Handle an EPP Domain Renew Command.
      Specified by:
        `doDomainRenew` in interface `FeeSubDomainHandler`
      Parameters:
        `aRenewCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doDomainUpdate

          public void doDomainUpdate(EPPDomainUpdateCmd aUpdateCommand,
                                     EPPResponse aResponse,
                                     java.lang.Object aData)

      Handle an EPP Domain Update Command.
      Specified by:
        `doDomainUpdate` in interface `FeeSubDomainHandler`
      Parameters:
        `aUpdateCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doDomainTransfer

          public void doDomainTransfer(EPPDomainTransferCmd aTransferCommand,
                                       EPPResponse aResponse,
                                       java.lang.Object aData)

      Handle an EPP Domain Transfer Command.
      Specified by:
        `doDomainTransfer` in interface `FeeSubDomainHandler`
      Parameters:
        `aTransferCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

Copyright © VeriSign Inc. All Rights Reserved.